Bug 114942 - Running I/O on RHEL 3.0 and using the v6.06.00b11 driver, the driver ran out of memory and began arbitrarily killing processes.
Summary: Running I/O on RHEL 3.0 and using the v6.06.00b11 driver, the driver ran out ...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tom Coughlan
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-04 18:36 UTC by Heather Conway
Modified: 2007-11-30 22:07 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-12 01:08:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:188 normal SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 2 2004-05-11 04:00:00 UTC

Description Heather Conway 2004-02-04 18:36:53 UTC
Description of problem:
Running I/O on RHEL 3.0 and using the v6.06.00b11 driver, the driver 
ran out of memory and the OS began arbitrarily killing processes.  
The systems had to be rebooted.

Version-Release number of selected component (if applicable):
RHEL 3.0 32-bit v2.21-4.0.1.EL, v2.4.21-9.EL


How reproducible:
Sometimes, but not always.


Steps to Reproduce:
Run I/O on a RHEL 3.0 system using the default v6.06.00b11 driver.
  
Actual results:
The driver will sometimes run out of memory and the OS will begin 
arbitrarily killing processes.  The system had to be rebooted.


Expected results:
The driver should not run out of memory and should not cause 
processes to be killed or force a system reboot.


Additional info:
Request that the v6.07.00 driver be used instead as it resolves 
this issue.

Comment 1 Tom Coughlan 2004-02-13 15:56:08 UTC
We are planning to update the Qlofic driver in U2/U4.  We will need
you to test the beta version of this release to confirm the fix.

Comment 2 Heather Conway 2004-02-17 19:48:38 UTC
WIll do.  Are you planning to use the v6.07.01 driver from QLogic 
that includes the v3.02.00 firmware for the QLA23xx HBAs?

Comment 3 Ernie Petrides 2004-03-05 20:50:13 UTC
This problem was fixed with the upgrade of the QLogic driver to
version 6.07.10 in RHEL3 U2 in kernel version 2.4.21-9.14.EL.



Comment 4 Gary Lerhaupt 2004-03-05 20:58:00 UTC
ahhh...versioning nightmare.  Heather, do you know how 6.07.10 and 
the 6.07.02 driver you recently sent me differ?

Comment 5 Tom Coughlan 2004-03-05 21:44:47 UTC
The version in RHEL 3 U2 is 6.07.02, plus some RH enhancements.  It is
not 6.07.10 (there is no such thing as of yet, AFAIK).  Sorry for the
confusion.

Gary, Heather, I would like to work with you to confirm that the the
new driver fixes the several bugzillas you have open, and to certify
RHEL 3 U2 in general. The beta will be available soon.

Comment 6 Gary Lerhaupt 2004-03-05 22:26:35 UTC
Ok, but to me it would seem better if 6.07.02 + RH enhancements = 
6.07.03.  

Comment 7 Ronaldo Pagani Yamashita 2004-04-23 21:07:52 UTC
We are having the same problem, however we don't have any QLA HBAs. 
We are running InterSystems Caché 5, RHEL 3 (Kernel 2.4.21-9.0.1EL) 
on a 4-way Xeon MP 2.8GHz system, with 8GB RAM. Database is over a 
NFS connection.


Comment 8 John Flanagan 2004-05-12 01:08:30 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-188.html



Note You need to log in before you can comment on or make changes to this bug.